<?php
session_start();
include("conn.php");
include("functions.php");
validateSession();

 // addRelationship unitOfMeasure quantity price
if (isset($_POST["addRelationship"])) {
  $productCode = trim($_GET["id"]);
  $unitOfMeasure = trim($_POST["unitOfMeasure"]);
  $quantity = trim($_POST["quantity"]);
  $price = trim($_POST["price"]);
  $sql = "INSERT INTO `unitofmeasurerelationships`(`productCode`, `unitOfMeasureCode`, `quantity`, `sellingPrice`, `addedBy`, `addedOn`) VALUES (?,?,?,?,?,NOW())";
  $values = array($productCode,$unitOfMeasure,$quantity,$price,$_SESSION["userId"]);
  if(pdoExecute($sql,$values)){
    $_SESSION["feedback"] = "success*The relationship was successfully added";
    pdoExecute("UPDATE `items` SET `has_relationships`=1 WHERE `code` = ?",array($productCode));
    //captureChangeLog($_SESSION["userId"], "Added unit of measure $uomName", "Create", "", "UOM Name: $uomName");
  }else{
    $_SESSION["feedback"] = "danger*The relationship could not be added";
  }
  

}
if(isset($_POST["deleteRelationship"])){
    $sql = "delete from unitofmeasurerelationships where id = ?";
    if(pdoExecute($sql,array(trim($_POST["relationShipId"])))){
        $_SESSION["feedback"] = "success*The relationship was successfully deleted";
        //captureChangeLog($_SESSION["userId"], "Added unit of measure $uomName", "Create", "", "UOM Name: $uomName");
        $productCode = trim($_GET["id"]);
        $relationships = fetchWithPdo("SELECT * FROM `unitofmeasurerelationships` WHERE `productCode`=?",array($productCode));
        if(count($relationships)==0){
            pdoExecute("UPDATE `items` SET `has_relationships`=0 WHERE `code` = ?",array($productCode));
        }
      }else{
        $_SESSION["feedback"] = "danger*The relationship could not be deleted";
      }
}
////    deleteRelationship relationShipId    
if(isset($_POST["deactivateRecord"])){
	$deactivateRecordId = trim($_POST["deactivateRecordId"]);
	$sql = "update users set status = ?,deactivatedOn=NOW(), deactivatedBy = ? where id = ?";
	$values = array("Inactive",$_SESSION["userId"], $deactivateRecordId);
  if (pdoExecute($sql, $values)) {
	  captureChangeLog($_SESSION["userId"], "Deactivated user id $deactivateRecordId", "Deactivate", "", "");
      $_SESSION['feedback']= "success*The user was successfully deactivated";
    } else {
        $_SESSION['feedback']= "danger*The use could not be deactivated";
    } 
}
if(isset($_POST["activateRecord"])){
	$activateRecordId = trim($_POST["activateRecordId"]);
	$sql = "update users set status = ? where id = ?";
	$values = array("Active", $activateRecordId);
  if (pdoExecute($sql, $values)) {
	  captureChangeLog($_SESSION["userId"], "Activated user id $activateRecordId", "Activate", "", "");
      $_SESSION['feedback']= "success*The user was successfully Activated";
    } else {
        $_SESSION['feedback']= "danger*The user could not be Activated";
    }
}

?>
<!DOCTYPE html>
<html>
<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <title><?php echo $_SESSION["organisationName"];?></title>
  <!-- Tell the browser to be responsive to screen width -->
  <?php include("header.php");
  ?>
  </head>
<body class="hold-transition skin-blue sidebar-mini">
<div class="wrapper">
<?php include("topbar.php");
?>
 <!-- Left side column. contains the logo and sidebar -->
 <?php
  $activePage = 23;
 include("sidebar.php");
 ?>
 <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <h1>
      Product
      </h1>
      <ol class="breadcrumb">
        <li><a href="dashboard"><i class="fa fa-dashboard"></i> Home</a></li>
        <li class="active">Product Details</li>
      </ol>
    </section>
  <section class="content">
    <?php
    $product = fetchWithPdo("SELECT * FROM `items`  WHERE code = ?",array(trim($_GET["id"])));
    $productDetails = $product[0];
    ?>
      <!-- Default box -->
      <div class="box">
        <div class="box-header with-border">
          <h3 class="box-title"><?php echo $productDetails["name"];?></h3>

          <div class="box-tools pull-right">
            <button type="button" class="btn btn-box-tool" data-widget="collapse" data-toggle="tooltip"
                    title="Collapse">
              <i class="fa fa-minus"></i></button>
           <!-- <button type="button" class="btn btn-box-tool" data-widget="remove" data-toggle="tooltip" title="Remove"><i class="fa fa-times"></i></button>-->
          </div>
        </div>
        <div class="box-body">
          <?php
            if (isset($_SESSION["feedback"])) {
              $info = explode("*", $_SESSION["feedback"]);

              echo "<div class ='alert alert-".$info[0]."'>".$info[1]." <a href='#'' class='close' data-dismiss='alert' aria-label='close'>&times;</a></div>";

              unset($_SESSION["feedback"]);
            }
          ?>
          <!--<button class="btn btn-success pull-right" data-toggle="modal" data-target="#addRecord">Add Unit of Measure</button>
          <div class="clearfix"></div>-->
          <br/>
          <table class='table table-bordered table-striped' id="allusers">
			<thead>
				<tr>
                      
                    <th>Unit of Measure</th> 
                    <th>Quantity</th> 
                    <th>Selling Price</th> 
                    <th>Delete</th>  
                </tr>
			</thead>
			<tbody>
     <?php
        $sql = "SELECT A.*,B.name uomName FROM `unitofmeasurerelationships` A left join units_of_measure B on A.unitOfMeasureCode = B.id where productCode = ?";
        $usersRes = fetchWithPdo($sql, array(trim($_GET["id"])));
        foreach($usersRes as $user){ 
            $recordJson = json_encode($user);
         ?>
        <tr>
          <td><?php echo $user["uomName"]; ?></td>
           <td><?php echo $user["quantity"]; ?></td>
           <td><?php echo number_format($user["sellingPrice"],2); ?></td>
            
               <td>
                   <form method = "POST" action = "">
                       <input type="hidden" name = "relationShipId" value = "<?php echo $user["id"];?> ">
                       <input type="submit" name="deleteRelationship" class="btn btn-danger" value="Delete">
                     </form>
                </td>
               
			   <?php
				 /*if($user["status"]=="Active"){
					 ?>
					  <td><label class="btn btn-danger" onClick="deactivateRecord('Are you sure you want to deactivate the user <strong><?php echo $user["name"]; ?></strong>?','<?php echo $user["id"]; ?>')"><i class="fa fa-ban"></i> Deactivate</label></td>
					 <?php
				 }else{
					 ?>
					  <td><label class="btn btn-success" onClick="activateRecord('Are you sure you want to activate the user <strong><?php echo $user["name"]; ?></strong>?','<?php echo $user["id"]; ?>')"><i class="fa fa-ban"></i> Activate</label></td>
					 <?php
				 }*/
				 ?>
        </tr>  
         <?php
        }
     ?>
     
      </tbody>
		  </table>
        <form method="POST" action = "">
          <div>
              <div class='col-lg-3 col-sm-6 col-xs-6 col-md-3'>
                    <div class="form-group">
                        <strong>Unit of Measure:</strong>
                        <select name="unitOfMeasure" class="form-control select2" style="display:block; width:100%;">
			            <?php
			            $sql = "SELECT * FROM `units_of_measure` ";
			            $res = mysqli_query($conn, $sql);
			            while($result = mysqli_fetch_assoc($res)){
                         echo "<option value='".$result["id"]."'>".$result["name"]."</option>";
			            }
                    
			            ?>
			            </select> 
                    </div>
              </div>
              <div class='col-lg-3 col-sm-6 col-xs-6 col-md-3'>
                    <div class="form-group">
                        <strong>Quantity:</strong>
                        <input type="text" name="quantity" class="form-control" placeholder="Quantity" >
                    </div>
              </div>
              <div class='col-lg-3 col-sm-6 col-xs-6 col-md-3'>
                    <div class="form-group">
                        <strong>Price:</strong>
                        <input type="text" name="price" class="form-control" placeholder="Price" >
                    </div>
              </div>
              <div class='col-lg-3 col-sm-6 col-xs-6 col-md-3'>
                    <div class="form-group">
                        <br>
                        <input type="submit" name="addRelationship" class="btn btn-success" value="Add Relationship" >
                    </div>
              </div>


          </div>

        </form>
        </div>
        <!-- /.box-body -->
        <div class="box-footer">
          
        </div>
        <!-- /.box-footer-->
      </div>
      <!-- /.box -->

    </section>
    
  </div>
  <!-- /.content-wrapper -->



</div>
<!-- ./wrapper -->

<?php
include("footer.php");
?>
<div id="addRecord" class="modal fade" role="dialog">
  <form method="POST" action=""> 
  <div class="modal-dialog">

    <!-- Modal content-->
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal">&times;</button>
        <h4 class="modal-title">Add Unit of Measure</h4>
      </div>
      <div class="modal-body">
        <div class="form-group">
            <strong>Unit of Measure Name:</strong>
            <input type="text" name="uomName" class="form-control" placeholder="Unit of Measure Name" required>
        </div>

      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-default" data-dismiss="modal">Cancel</button>
        <input type="submit" name="addRecord" class="btn btn-success" value="Add Unit of Measure">
      </div>
    </div>
    </div>
</form>
</div>

<div id="editRecord" class="modal fade" role="dialog">
  <form method="POST" action=""> 
  <div class="modal-dialog">

    <!-- Modal content-->
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal">&times;</button>
        <h4 class="modal-title">Update Unit of Measure</h4>
      </div>
      <div class="modal-body">
        <div class="form-group">
            <strong>Unit of Measure Name:</strong>
            <input type="hidden" name="editUOMId" id="editUOMId" required>
            <input type="text" name="editUOMName" id="editUOMName" class="form-control" placeholder="Unit of Measure Name" required>
        </div>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-default" data-dismiss="modal">Cancel</button>
        <input type="submit" name="editRecord" class="btn btn-success" value="Edit Unit of Measure">
      </div>
    </div>
    </div>
</form>
</div>
<script>
  $(function () {
    //$('#allusers').DataTable();
     })
   </script>
</body>

<div id="deactivateRecord" class="modal fade" role="dialog">
  <form method="POST" action="" enctype='multipart/form-data'> 
  <div class="modal-dialog">

    <!-- Modal content--> 
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal">&times;</button>
        <h4 class="modal-title">Deactivate User</h4>
      </div>
      <div class="modal-body"> 
	  <p id = "deactivationConfirmation"></p> 
		
            <input type="hidden" name="deactivateRecordId" id="deactivateRecordId">
      
		</div> 
      <div class="modal-footer">
        <button type="button" class="btn btn-default" data-dismiss="modal">Cancel</button>
        <input type="submit" name="deactivateRecord" class="btn btn-danger" value="Deactivate User">
      </div>
    </div>
    </div>
</form>
</div>
<div id="activateRecord" class="modal fade" role="dialog">
  <form method="POST" action="" enctype='multipart/form-data'> 
  <div class="modal-dialog">

    <!-- Modal content--> 
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal">&times;</button>
        <h4 class="modal-title">Activate User</h4>
      </div>
      <div class="modal-body"> 
	  <p id = "activationConfirmation"></p>
		
            <input type="hidden" name="activateRecordId" id="activateRecordId">
      
		</div> 
      <div class="modal-footer">
        <button type="button" class="btn btn-default" data-dismiss="modal">Cancel</button>
        <input type="submit" name="activateRecord" class="btn btn-success" value="Activate User">
      </div>
    </div>
    </div>
</form>
</div>
<script>
function editRecord(recordJson){
    //uomName editUOMId editUOMName
    document.getElementById("editUOMId").value = recordJson.id;
    document.getElementById("editUOMName").value = recordJson.name;
    $("#editRecord").modal(); 

 
}
function deactivateRecord(deactivationText, recordId){
	document.getElementById("deactivateRecordId").value = recordId;
	document.getElementById("deactivationConfirmation").innerHTML = deactivationText;
	$("#deactivateRecord").modal(); 
}
function activateRecord(activationText, recordId){
	document.getElementById("activateRecordId").value = recordId;
	document.getElementById("activationConfirmation").innerHTML = activationText;
	$("#activateRecord").modal(); 
}
</script>
