<?php
session_start();
include("conn.php");
include("functions.php");
validateSession();

 //productName upcCode unitOfMeasure taxGroup discount hsCode price
if (isset($_POST["addRecord"])) {
  $productName = trim($_POST["productName"]);
  $upcCode = trim($_POST["upcCode"]);
  $unitOfMeasure = trim($_POST["unitOfMeasure"]);
  $taxGroup = trim($_POST["taxGroup"]);
  $discount = trim($_POST["discount"]);
  $hsCode = trim($_POST["hsCode"]);
  $price = trim($_POST["price"]);
  $sql = "INSERT INTO `items`(`name`, `unitOfMeasure`, `taxGroup`, `price`, `discount`, `upcCode`, `addedOn`, `addedBy`) VALUES (?,?,?,?,?,?,NOW(),?)";
  $values = array($productName,$unitOfMeasure,$taxGroup,$price,$discount,$upcCode,$_SESSION["userId"]);
  if(pdoExecute($sql,$values)){
    $_SESSION["feedback"] = "success*The product was successfully added";
    captureChangeLog($_SESSION["userId"], "Created product $productName", "Create", "", "Product Name: $productName, Unit of Measure: $unitOfMeasure,Tax group: $taxGroup,Price: $price,Discount: $discount, UPC Code: $upcCode");
  }else{
    $_SESSION["feedback"] = "danger*The product could not be added";
  }
  

}
if (isset($_POST["editRecord"])) {
  $productCode = trim($_POST["editProductId"]);
  $productName = trim($_POST["editProductName"]);
  $upcCode = trim($_POST["editUpcCode"]);
  $unitOfMeasure = trim($_POST["editUnitOfMeasure"]);
  $taxGroup = trim($_POST["editTaxGroup"]);
  $discount = trim($_POST["editDiscount"]);
  $hsCode = trim($_POST["editHsCode"]);
  $price = trim($_POST["editPrice"]);
  $sql = "update  `items`set `name`=?, `unitOfMeasure`=?, `taxGroup`=?, `price`=?, `discount`=?, `upcCode`=? where code = ?";
  $values = array($productName,$unitOfMeasure,$taxGroup,$price,$discount,$upcCode,$productCode);
  if(pdoExecute($sql,$values)){
    $_SESSION["feedback"] = "success*The product was successfully updated";
    captureChangeLog($_SESSION["userId"], "Created product $productName", "Create", "", "Product Name: $productName, Unit of Measure: $unitOfMeasure,Tax group: $taxGroup,Price: $price,Discount: $discount, UPC Code: $upcCode");
  }else{
    $_SESSION["feedback"] = "danger*The product could not be updated";
  }
  

}
////        
if(isset($_POST["deactivateRecord"])){
	$deactivateRecordId = trim($_POST["deactivateRecordId"]);
	$sql = "update users set status = ?,deactivatedOn=NOW(), deactivatedBy = ? where id = ?";
	$values = array("Inactive",$_SESSION["userId"], $deactivateRecordId);
  if (pdoExecute($sql, $values)) {
	  captureChangeLog($_SESSION["userId"], "Deactivated user id $deactivateRecordId", "Deactivate", "", "");
      $_SESSION['feedback']= "success*The user was successfully deactivated";
    } else {
        $_SESSION['feedback']= "danger*The use could not be deactivated";
    } 
}
if(isset($_POST["activateRecord"])){
	$activateRecordId = trim($_POST["activateRecordId"]);
	$sql = "update users set status = ? where id = ?";
	$values = array("Active", $activateRecordId);
  if (pdoExecute($sql, $values)) {
	  captureChangeLog($_SESSION["userId"], "Activated user id $activateRecordId", "Activate", "", "");
      $_SESSION['feedback']= "success*The user was successfully Activated";
    } else {
        $_SESSION['feedback']= "danger*The user could not be Activated";
    }
}

?>
<!DOCTYPE html>
<html>
<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <title><?php echo $_SESSION["organisationName"];?></title>
  <!-- Tell the browser to be responsive to screen width -->
  <?php include("header.php");
  ?>
  </head>
<body class="hold-transition skin-blue sidebar-mini">
<div class="wrapper">
<?php include("topbar.php");
?>
 <!-- Left side column. contains the logo and sidebar -->
 <?php
  $activePage = 23;
 include("sidebar.php");
 ?>
 <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <h1>
        Products
      </h1>
      <ol class="breadcrumb">
        <li><a href="dashboard"><i class="fa fa-dashboard"></i> Home</a></li>
        <li class="active">Products</li>
      </ol>
    </section>
  <section class="content">

      <!-- Default box -->
      <div class="box">
        <div class="box-header with-border">
          <h3 class="box-title">All Products</h3>

          <div class="box-tools pull-right">
            <button type="button" class="btn btn-box-tool" data-widget="collapse" data-toggle="tooltip"
                    title="Collapse">
              <i class="fa fa-minus"></i></button>
           <!-- <button type="button" class="btn btn-box-tool" data-widget="remove" data-toggle="tooltip" title="Remove"><i class="fa fa-times"></i></button>-->
          </div>
        </div>
        <div class="box-body">
          <?php
            if (isset($_SESSION["feedback"])) {
              $info = explode("*", $_SESSION["feedback"]);

              echo "<div class ='alert alert-".$info[0]."'>".$info[1]." <a href='#'' class='close' data-dismiss='alert' aria-label='close'>&times;</a></div>";

              unset($_SESSION["feedback"]);
            }
          ?>
          <button class="btn btn-success pull-right" data-toggle="modal" data-target="#addRecord">Add Product</button>
          <div class="clearfix"></div>
          <br/>
          <table class='table table-bordered table-striped' id="allusers">
			<thead>
				<tr>
      <th>Product Id</th>    
       <th>Product Name</th>  
        <th>UPC Code</th> 
        <th>Unit of Measure</th> 
         <th>Tax Group</th>  
          <th>Discount</th>  
           <th>HS Code</th>  
           <th>Price</th>  
           <th>Available Quantity</th>  
           <!--<th>Relationships</th>  -->
           <th>Edit</th>  
           <th>Deactivate/Activate</th>  
        </tr>
			</thead>
			<tbody>
     <?php
        $sql = "SELECT A.*,B.name taxName,B.percentage taxPercentage, C.name uomName FROM `items` A LEFT JOIN tax_groups B on A.taxGroup = B.code LEFT JOIN units_of_measure C on A.unitOfMeasure = C.id; ";
        $usersRes = mysqli_query($conn, $sql);
        while ($user = mysqli_fetch_assoc($usersRes)) {
            $recordJson = json_encode($user);
         ?>
        <tr>
          <td><?php echo $user["code"]; ?></td>
           <td><a href='product?id=<?php echo $user["code"];?>'><?php echo $user["name"]; ?></a></td>
            <td><?php echo $user["upcCode"]; ?></td>
             <td><?php echo $user["uomName"]; ?></td>
              <td><?php echo $user["taxName"]; ?></td> 
              <td><?php echo $user["discount"]; ?></td>
              <td><?php  ?></td>
               <td><?php echo number_format($user["price"],2); ?></td>
               <td><?php echo "0"; ?></td>
               <!--<td><label class="btn btn-info" onClick='editRelationships(<?php echo $recordJson; ?>)'><i class="fa fa-cogs"></i> Relationships</label></td>-->
               <td><label class="btn btn-success" onClick='editRecord(<?php echo $recordJson; ?>)'><i class="fa fa-edit"></i> Edit</label></td>
               <td></td>
			   <?php
				 /*if($user["status"]=="Active"){
					 ?>
					  <td><label class="btn btn-danger" onClick="deactivateRecord('Are you sure you want to deactivate the user <strong><?php echo $user["name"]; ?></strong>?','<?php echo $user["id"]; ?>')"><i class="fa fa-ban"></i> Deactivate</label></td>
					 <?php
				 }else{
					 ?>
					  <td><label class="btn btn-success" onClick="activateRecord('Are you sure you want to activate the user <strong><?php echo $user["name"]; ?></strong>?','<?php echo $user["id"]; ?>')"><i class="fa fa-ban"></i> Activate</label></td>
					 <?php
				 }*/
				 ?>
        </tr>  
         <?php
        }
     ?>
     
      </tbody>
		  </table>
        </div>
        <!-- /.box-body -->
        <div class="box-footer">
          
        </div>
        <!-- /.box-footer-->
      </div>
      <!-- /.box -->

    </section>
    
  </div>
  <!-- /.content-wrapper -->



</div>
<!-- ./wrapper -->

<?php
include("footer.php");
?>
<div id="addRecord" class="modal fade" role="dialog">
  <form method="POST" action=""> 
  <div class="modal-dialog">

    <!-- Modal content-->
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal">&times;</button>
        <h4 class="modal-title">Create Product</h4>
      </div>
      <div class="modal-body">
        <div class="form-group">
            <strong>Product Name:</strong>
            <input type="text" name="productName" class="form-control" placeholder="Product Name" required>
        </div>
        <div class="form-group">
            <strong>UPC Code:</strong>
            <input type="text" name="upcCode" class="form-control" placeholder="UPC Code" >
        </div>
      <div class="form-group">
            <strong>Unit of Measure:</strong>
            <select name="unitOfMeasure" class="form-control select2" style="display:block; width:100%;">
			<?php
			$sql = "SELECT * FROM `units_of_measure` ";
			$res = mysqli_query($conn, $sql);
			while($result = mysqli_fetch_assoc($res)){
             echo "<option value='".$result["id"]."'>".$result["name"]."</option>";
			}
			
			?>
			</select> 
        </div>
      <div class="form-group">
            <strong>Tax Group:</strong> 
            <select name="taxGroup" class="form-control select2" style="display:block; width:100%;">
			<?php
			$sql = "SELECT code,name,percentage FROM `tax_groups`";
			$res = mysqli_query($conn, $sql);
			while($result = mysqli_fetch_assoc($res)){
                echo "<option value='".$result["code"]."'>".$result["name"]."(".$result["percentage"]."%)</option>";
			}
			
			?>
			</select> 
        </div>
        <div class="form-group">
            <strong>Discount:</strong>
            <input type="text" name="discount" class="form-control" placeholder="Discount" >
        </div>
        <div class="form-group">
            <strong>HS Code:</strong>
            <input type="text" name="hsCode" class="form-control" placeholder="HS Code" >
        </div>
        <div class="form-group">
            <strong>Price:</strong>
            <input type="text" name="price" class="form-control" placeholder="Price" required>
        </div>

      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-default" data-dismiss="modal">Cancel</button>
        <input type="submit" name="addRecord" class="btn btn-success" value="Add Product">
      </div>
    </div>
    </div>
</form>
</div>

<div id="editRecord" class="modal fade" role="dialog">
  <form method="POST" action=""> 
  <div class="modal-dialog">

    <!-- Modal content-->
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal">&times;</button>
        <h4 class="modal-title">Update Product</h4>
      </div>
      <div class="modal-body">
        <div class="form-group">
            <strong>Product Name:</strong>
            <input type="hidden" name="editProductId" id="editProductId" required>
            <input type="text" name="editProductName" id="editProductName" class="form-control" placeholder="Product Name" required>
        </div>
        <div class="form-group">
            <strong>UPC Code:</strong>
            <input type="text" name="editUpcCode" id="editUpcCode" class="form-control" placeholder="UPC Code">
        </div>
      <div class="form-group">
            <strong>Unit of Measure:</strong>
            <select name="editUnitOfMeasure" id="editUnitOfMeasure" class="form-control select2" style="display:block; width:100%;">
			<?php
			$sql = "SELECT * FROM `units_of_measure` ";
			$res = mysqli_query($conn, $sql);
			while($result = mysqli_fetch_assoc($res)){
             echo "<option value='".$result["id"]."'>".$result["name"]."</option>";
			}
			
			?>
			</select> 
        </div>
      <div class="form-group">
            <strong>Tax Group:</strong> 
            <select name="editTaxGroup" id="editTaxGroup" class="form-control select2" style="display:block; width:100%;">
			<?php
			$sql = "SELECT code,name,percentage FROM `tax_groups`";
			$res = mysqli_query($conn, $sql);
			while($result = mysqli_fetch_assoc($res)){
                echo "<option value='".$result["code"]."'>".$result["name"]."(".$result["percentage"]."%)</option>";
			}
			
			?>
			</select> 
        </div>
        <div class="form-group">
            <strong>Discount:</strong>
            <input type="text" name="editDiscount" id="editDiscount" class="form-control" placeholder="Discount" required>
        </div>
        <div class="form-group">
            <strong>HS Code:</strong>
            <input type="text" name="editHsCode" id="editHsCode" class="form-control" placeholder="HS Code" >
        </div>
        <div class="form-group">
            <strong>Price:</strong>
            <input type="text" name="editPrice" id="editPrice" class="form-control" placeholder="Price" required>
        </div>

      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-default" data-dismiss="modal">Cancel</button>
        <input type="submit" name="editRecord" class="btn btn-success" value="Edit Product">
      </div>
    </div>
    </div>
</form>
</div>
<script>
  $(function () {
    //$('#allusers').DataTable();
     })
   </script>
</body>
<div id="relationshipsModal" class="modal fade" role="dialog">
  <div class="modal-dialog">

    <!-- Modal content--> 
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal">&times;</button>
        <h4 class="modal-title">Relationships</h4>
      </div>
      <div class="modal-body">
        <div>

        </div> 
        <table>
          <thead>
            <th>Unit of Measure</th>
            <th>Quantity</th>
            <th>Price</th>
          </thead>
         </table>
      
		</div> 
      <div class="modal-footer">
        <button type="button" class="btn btn-default" data-dismiss="modal">Cancel</button>
        
      </div>
    </div>
    </div>

</div>


<div id="deactivateRecord" class="modal fade" role="dialog">
  <form method="POST" action="" enctype='multipart/form-data'> 
  <div class="modal-dialog">

    <!-- Modal content--> 
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal">&times;</button>
        <h4 class="modal-title">Deactivate User</h4>
      </div>
      <div class="modal-body"> 
	  <p id = "deactivationConfirmation"></p> 
		
            <input type="hidden" name="deactivateRecordId" id="deactivateRecordId">
      
		</div> 
      <div class="modal-footer">
        <button type="button" class="btn btn-default" data-dismiss="modal">Cancel</button>
        <input type="submit" name="deactivateRecord" class="btn btn-danger" value="Deactivate User">
      </div>
    </div>
    </div>
</form>
</div>
<div id="activateRecord" class="modal fade" role="dialog">
  <form method="POST" action="" enctype='multipart/form-data'> 
  <div class="modal-dialog">

    <!-- Modal content--> 
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal">&times;</button>
        <h4 class="modal-title">Activate User</h4>
      </div>
      <div class="modal-body"> 
	  <p id = "activationConfirmation"></p>
		
            <input type="hidden" name="activateRecordId" id="activateRecordId">
      
		</div> 
      <div class="modal-footer">
        <button type="button" class="btn btn-default" data-dismiss="modal">Cancel</button>
        <input type="submit" name="activateRecord" class="btn btn-success" value="Activate User">
      </div>
    </div>
    </div>
</form>
</div>
<script>
function editRecord(recordJson){
    //editRecord editProductId editProductName editUpcCode editUnitOfMeasure editTaxGroup editDiscount editHsCode editPrice
    document.getElementById("editProductId").value = recordJson.code;
    document.getElementById("editProductName").value = recordJson.name;
    document.getElementById("editUpcCode").value = recordJson.upcCode;
    document.getElementById("editDiscount").value = recordJson.discount;
    document.getElementById("editHsCode").value = "";//recordJson.closing_empties;
    document.getElementById("editPrice").value = recordJson.price;
	$('#editUnitOfMeasure').val(recordJson.unitOfMeasure);
	$('#editUnitOfMeasure').trigger('change');
    
    $('#editTaxGroup').val(recordJson.taxGroup);
	$('#editTaxGroup').trigger('change');

    $("#editRecord").modal(); 

 
}
function editRelationships(recordJson){
  $("#relationshipsModal").modal();  
}
function deactivateRecord(deactivationText, recordId){
	document.getElementById("deactivateRecordId").value = recordId;
	document.getElementById("deactivationConfirmation").innerHTML = deactivationText;
	$("#deactivateRecord").modal(); 
}
function activateRecord(activationText, recordId){
	document.getElementById("activateRecordId").value = recordId;
	document.getElementById("activationConfirmation").innerHTML = activationText;
	$("#activateRecord").modal(); 
}
</script>
