<?php
session_start();
include("conn.php");
include("functions.php");
validateSession();

if (isset($_POST["editUser"])) {
   //editUser       
  $userId = trim($_POST["editUserId"]);
  $name = trim($_POST["editName"]);
  $userName = trim($_POST["editUserName"]);
  $phoneNo = trim($_POST["editUserPhoneNo"]);
  $email = trim($_POST["editUserEmail"]);
  $password = trim($_POST["editUserPassword"]);
  $userType = trim($_POST["editUserType"]);
  
  $error = false;
  $message = "";
  if (strlen($name)<4) {
    $error = true;
    $message = "The user's name must be at least 4 characters";
  }
  if (strlen($userName)<4) {
    $error = true;
    $message .= strlen($message)>0?"<br/>":"";
    $message .= "The username must be at least 4 characters";
  }
  $phoneLength = strlen($phoneNo);
  $formattedPhone = str_replace("+", "", $phoneNo);
  if (!is_numeric($formattedPhone)) {
    $error = true;
    $message .= strlen($message)>0?"<br/>":"";
    $message .= "Please provide a valid value for phone No";
  }else{
      if (!($phoneLength==10||$phoneLength==13)) {
        $error = true;
        $message .= strlen($message)>0?"<br/>":"";
        $message .= "Please provide a valid value for phone No";
      }
  }
  if (strlen($email)<4) {
     $error = true;
      $message .= strlen($message)>0?"<br/>":"";
      $message .= "Email must have atleast 4 characters";
  }
  if (strlen($password)<4&&strlen($password)>0) {
       $error = true;
        $message .= strlen($message)>0?"<br/>":"";
        $message .= "Password must have atleast 4 characters";
    }

    if ($error) {
      $_SESSION["feedback"] = "danger*".$message;
    }else{
        //check that the id number is unique
      $check = "SELECT * FROM `users`  where emailAddress = '$email' or userName = '$userName'";
      $checkRes = mysqli_query($conn, $check);
      if (mysqli_num_rows($checkRes)<0) {
       $_SESSION["feedback"] = "danger*A user with the given email address or username does not exists";
      }else{
        $encryptedPass = hash("sha256", $password);
        $user = $_SESSION["userId"];
        $sql = "update `users` set `name`=?, `phone` =?,`password`=?,`userType`=? where `userName`=? and `emailAddress`=? and `organizationCode`=? and id=?";
        $values = array($name,$phoneNo,$encryptedPass,$userType,$userName,$email,$_SESSION["organizationCode"],$userId);
        if(strlen($password)==0){
          $sql = "update `users` set `name`=?, `phone` =?,`userType`=? where `userName`=? and `emailAddress`=? and `organizationCode`=? and id=?";
          $values = array($name,$phoneNo,$userType,$userName,$email,$_SESSION["organizationCode"],$userId);
        }
	   if (pdoExecute($sql, $values)) {
			captureChangeLog($_SESSION["userId"], "Updated user $name", "Update", "", "User Id: $userId Name: $name User Name: $userName Phone Number: $phoneNo Email Address: $email  Status: Active User Type: $userType");
          $_SESSION["feedback"] = "success*The user was successfully updated";
        }else{
          $_SESSION["feedback"] = "danger*The user could not be updated. Please try again";
        }
      }
    }

}

?>
<!DOCTYPE html>
<html>
<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <title>Parcelle</title>
  <!-- Tell the browser to be responsive to screen width -->
  <?php include("header.php");
  ?>
  </head>
<body class="hold-transition skin-blue sidebar-mini">
<div class="wrapper">
<?php include("topbar.php");
?>
 <!-- Left side column. contains the logo and sidebar -->
 <?php
  $activePage = 23;
 include("sidebar.php");
 ?>
 <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <h1>My Profile</h1>
      <ol class="breadcrumb">
        <li><a href="dashboard"><i class="fa fa-dashboard"></i> Home</a></li>
        <li class="active">My Profile</li>
      </ol>
    </section>
  <section class="content">

      <!-- Default box -->
      <div class="box">
        <div class="box-header with-border">
          <h3 class="box-title">My Profile</h3>

          <div class="box-tools pull-right">
            <button type="button" class="btn btn-box-tool" data-widget="collapse" data-toggle="tooltip" title="Collapse">
              <i class="fa fa-minus"></i></button>
          </div>
        </div>
        <div class="box-body">
            <?php
            if (isset($_SESSION["feedback"])) {
              $info = explode("*", $_SESSION["feedback"]);
            
              echo "<div class ='alert alert-".$info[0]."'>".$info[1]." <a href='#'' class='close' data-dismiss='alert' aria-label='close'>&times;</a></div>";
            
              unset($_SESSION["feedback"]);
            }
            ?>
            <br/>
            
            <div class="row">
                
            </div>
          
        </div>
        <!-- /.box-body -->
        <div class="box-footer">
          
        </div>
        <!-- /.box-footer-->
      </div>
      <!-- /.box -->

    </section>
    
  </div>
  <!-- /.content-wrapper -->



</div>
<!-- ./wrapper -->

<?php include("footer.php"); ?>

</body>

<script>
function editUser(userId, name, userName, phoneNumber,email,userType){

  $('#editUserType').val(userType);
	$('#editUserType').trigger('change');
	document.getElementById("editUserEmail").value = email;
	document.getElementById("editUserPhoneNo").value = phoneNumber;
	document.getElementById("editUserName").value = userName;
	document.getElementById("editName").value = name;
	document.getElementById("editUserId").value = userId;
	//document.getElementById("deactivationConfirmation").innerHTML = deactivationText;*/
	$("#editUser").modal(); 
}
</script>
