<?php
session_start();
include("functions.php");
include("conn.php");
validateSession();
//    supplierLogo $_SESSION["feedback"] 
//      


if(isset($_POST["deactivateRecord"])){
	$deactivateRecordId = trim($_POST["deactivateRecordId"]);
	$sql = "update suppliers set status = ?,deactivatedOn=NOW(), deactivatedBy = ? where id = ?";
	$values = array("Inactive",$_SESSION["userId"], $deactivateRecordId);
  if (pdoExecute($sql, $values)) {
	  captureChangeLog($_SESSION["userId"], "Deactivated supplier id $deactivateRecordId", "Deactivate", "", "");
      $_SESSION['feedback']= "success*The supplier was successfully deactivated";
    } else {
        $_SESSION['feedback']= "danger*The supplier could not be deactivated";
    }
}
if(isset($_POST["activateRecord"])){
	$activateRecordId = trim($_POST["activateRecordId"]);
	$sql = "update suppliers set status = ? where id = ?";
	$values = array("Active", $activateRecordId);
  if (pdoExecute($sql, $values)) {
	  captureChangeLog($_SESSION["userId"], "Activated Supplier id $activateRecordId", "Activate", "", "");
      $_SESSION['feedback']= "success*The supplier was successfully Activated";
    } else {
        $_SESSION['feedback']= "danger*The supplier could not be Activated";
    }
}


?>
<!DOCTYPE html>
<html>
<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <title>Parcelle</title>
  <!-- Tell the browser to be responsive to screen width -->
  <?php include("header.php");
  ?>
  </head>
<body class="hold-transition skin-blue sidebar-mini">
<div class="wrapper">
<?php include("topbar.php");
?>
 <!-- Left side column. contains the logo and sidebar -->
 <?php
 $activePage = 5;
 include("sidebar.php");
 ?>
 <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <h1>
        Suppliers
        <small>Manage Suppliers</small>
      </h1>
      <ol class="breadcrumb">
        <li><a href="Dashboard"><i class="fa fa-industry"></i> Home</a></li>
        <li class="active">Suppliers</li>
      </ol>
    </section>

    <!-- Main content -->
    <section class="content" >
	 <div class="box">
        <div class="box-header with-border">
          <h3 class="box-title">All Suppliers</h3>

          <div class="box-tools pull-right">
            <button type="button" class="btn btn-box-tool" data-widget="collapse" data-toggle="tooltip"
                    title="Collapse">
              <i class="fa fa-minus"></i></button>
           <!-- <button type="button" class="btn btn-box-tool" data-widget="remove" data-toggle="tooltip" title="Remove"><i class="fa fa-times"></i></button>-->
          </div>
        </div>
         <div class="box-body">
          <?php
            if (isset($_SESSION["feedback"])) {
              $info = explode("*", $_SESSION["feedback"]);

              echo "<div class ='alert alert-".$info[0]."'>".$info[1]." <a href='#'' class='close' data-dismiss='alert' aria-label='close'>&times;</a></div>";

              unset($_SESSION["feedback"]);
            }
          ?>
          <button class="btn btn-success pull-right" data-toggle="modal" data-target="#addSupplier">Add Supplier</button>
          <div class="clearfix"></div>
          <br/>
		  
          <table class='table table-bordered table-striped' id="allusers">
			<thead>
				<tr>
				 <th>#</th>
				 <th>Logo</th>
				 <th>Name</th>
				 <th>Phone Number</th>
				 <th>Email Address</th>
				 <th>Product Categories</th>
				 <th>Status</th>
				 <th>Edit</th>
				 <th>Deactivate</th>
				</tr>
			</thead>
			<tbody>
		
      </tbody>
		  </table>
        </div>
       <!-- /.box-body -->
        <div class="box-footer">
          
        </div>
        <!-- /.box-footer-->
      </div>
     
     
     
      
    </section>
    <!-- /.content -->
  </div>
 <div id="addSupplier" class="modal fade" role="dialog">
  <form method="POST" action="" enctype='multipart/form-data'> 
  <div class="modal-dialog">

    <!-- Modal content--> 
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal">&times;</button>
        <h4 class="modal-title">Add Supplier</h4>
      </div>
      <div class="modal-body">
	  <div class="form-group">
            <strong>Supplier Name:</strong>
            <input type="text" name="supplierName" class="form-control" placeholder="Supplier Name">
        </div>
		<div class="form-group">
            <strong>Phone No:</strong>
            <input type="text" name="phoneNo" class="form-control" placeholder="Phone No">
        </div> 
		<div class="form-group">
            <strong>Email Address:</strong>
            <input type="email" name="emailAddress" class="form-control" placeholder="Email Address">
        </div>
		 <div class="form-group">
            <strong>Supplier Product Category:</strong> 
			<select name="supplierCategory[]" class="form-control select2" multiple="multiple" style="display:block; width:100%;">
			<?php
			$sql = "select * from productcategories where status = 1";
			$res = mysqli_query($conn,$sql);
			while($result = mysqli_fetch_assoc($res)){
				echo "<option value='".$result["categoryId"]."'>".$result["categoryName"]."</option>";
			}
			?>
			</select>
        </div>
		<div class="form-group">
            <strong>Supplier Logo:</strong>
		 <input type="file" name="supplierLogo" class= "">

        </div>
      </div> 
      <div class="modal-footer">
        <button type="button" class="btn btn-default" data-dismiss="modal">Cancel</button>
        <input type="submit" name="addSupplier" class="btn btn-success" value="Add Supplier">
      </div>
    </div>
    </div>
</form>
</div>
 <div id="editSupplier" class="modal fade" role="dialog">
  <form method="POST" action="" enctype='multipart/form-data'> 
  <div class="modal-dialog">

    <!-- Modal content--> 
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal">&times;</button>
        <h4 class="modal-title">Edit Supplier</h4>
      </div>
      <div class="modal-body">
	  <div class="form-group">
            <strong>Supplier Name:</strong>
            <input type="hidden" name="editSupplierId" id="editSupplierId">
            <input type="text" name="editSupplierName" id="editSupplierName" class="form-control" placeholder="Supplier Name">
        </div>
		<div class="form-group">
            <strong>Phone No:</strong>
            <input type="text" name="editPhoneNo" id="editPhoneNo" class="form-control" placeholder="Phone No">
        </div> 
		<div class="form-group">
            <strong>Email Address:</strong>
            <input type="email" name="editEmailAddress" id="editEmailAddress" class="form-control" placeholder="Email Address">
        </div>
		 <div class="form-group">
            <strong>Supplier Product Category:</strong> 
			<select name="editSupplierCategory[]" id="editSupplierCategory" class="form-control select2" multiple="multiple" style="display:block; width:100%;">
			<?php
			$sql = "select * from productcategories where status = 'Active'";
			$res = mysqli_query($conn,$sql);
			while($result = mysqli_fetch_assoc($res)){
				echo "<option value='".$result["categoryId"]."'>".$result["categoryName"]."</option>";
			}
			?>
			</select>
        </div>
		<div class="form-group">
            <strong>Supplier Logo:</strong>
		 <input type="file" name="editSupplierLogo" class= "">

        </div>
      </div> 
      <div class="modal-footer">
        <button type="button" class="btn btn-default" data-dismiss="modal">Cancel</button>
        <input type="submit" name="editSupplier" class="btn btn-success" value="Save Changes">
      </div>
    </div>
    </div>
</form>
</div>

<div id="deactivateRecord" class="modal fade" role="dialog">
  <form method="POST" action="" enctype='multipart/form-data'> 
  <div class="modal-dialog">

    <!-- Modal content--> 
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal">&times;</button>
        <h4 class="modal-title">Deactivate Supplier</h4>
      </div>
      <div class="modal-body"> 
	  <p id = "deactivationConfirmation"></p> 
		
            <input type="hidden" name="deactivateRecordId" id="deactivateRecordId">
      
		</div> 
      <div class="modal-footer">
        <button type="button" class="btn btn-default" data-dismiss="modal">Cancel</button>
        <input type="submit" name="deactivateRecord" class="btn btn-danger" value="Deactivate Supplier">
      </div>
    </div>
    </div>
</form>
</div>
	<div id="activateRecord" class="modal fade" role="dialog">
  <form method="POST" action="" enctype='multipart/form-data'> 
  <div class="modal-dialog">

    <!-- Modal content--> 
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal">&times;</button>
        <h4 class="modal-title">Activate Supplier</h4>
      </div>
      <div class="modal-body"> 
	  <p id = "activationConfirmation"></p>
		
            <input type="hidden" name="activateRecordId" id="activateRecordId">
      
		</div> 
      <div class="modal-footer">
        <button type="button" class="btn btn-default" data-dismiss="modal">Cancel</button>
        <input type="submit" name="activateRecord" class="btn btn-success" value="Activate Supplier">
      </div>
    </div>
    </div>
</form>
</div>
<script>
function deactivateRecord(deactivationText, recordId){
	document.getElementById("deactivateRecordId").value = recordId;
	document.getElementById("deactivationConfirmation").innerHTML = deactivationText;
	$("#deactivateRecord").modal(); 
}
function activateRecord(activationText, recordId){
	document.getElementById("activateRecordId").value = recordId;
	document.getElementById("activationConfirmation").innerHTML = activationText;
	$("#activateRecord").modal(); 
}
function editSupplier(supplierId, supplierName, supplierPhone, supplierEmail, supplierCategory){
	document.getElementById("editSupplierId").value = supplierId;
	document.getElementById("editSupplierName").value = supplierName;
	document.getElementById("editPhoneNo").value = supplierPhone;
	document.getElementById("editEmailAddress").value = supplierEmail;
	//alert(supplierCategory);
	//$('#editSupplierCategory').val(['1','2','3']);
	$('#editSupplierCategory').val(supplierCategory);
	$('#editSupplierCategory').trigger('change');
	$("#editSupplier").modal(); 
	
}
//editSupplier editSupplierLogo  editEmailAddress editPhoneNo editSupplierName editSupplierId
</script>
<?php
include("footer.php");
?>
