<?php
session_start();
include("conn.php");
include("functions.php");
validateSession();
//  userName  userIdNo userPhoneNo userEmail userPassword
 
if (isset($_POST["addUser"])) {
  //name userName userPhoneNo userEmail userType userPassword
  $name = trim($_POST["name"]);
  $userName = trim($_POST["userName"]);
  $phoneNo = trim($_POST["userPhoneNo"]);
  $email = trim($_POST["userEmail"]);
  $password = trim($_POST["userPassword"]);
  $userType = trim($_POST["userType"]);
  
  $error = false;
  $message = "";
  if (strlen($name)<4) {
    $error = true;
    $message = "The user's name must be at least 4 characters";
  }
  if (strlen($userName)<4) {
    $error = true;
    $message .= strlen($message)>0?"<br/>":"";
    $message .= "The username must be at least 4 characters";
  }
  $phoneLength = strlen($phoneNo);
  $formattedPhone = str_replace("+", "", $phoneNo);
  if (!is_numeric($formattedPhone)) {
    $error = true;
    $message .= strlen($message)>0?"<br/>":"";
    $message .= "Please provide a valid value for phone No";
  }else{
      if (!($phoneLength==10||$phoneLength==13)) {
        $error = true;
        $message .= strlen($message)>0?"<br/>":"";
        $message .= "Please provide a valid value for phone No";
      }
  }
  if (strlen($email)<4) {
     $error = true;
      $message .= strlen($message)>0?"<br/>":"";
      $message .= "Email must have atleast 4 characters";
  }
  if (strlen($password)<4) {
       $error = true;
        $message .= strlen($message)>0?"<br/>":"";
        $message .= "Password must have atleast 4 characters";
    }

    if ($error) {
      $_SESSION["feedback"] = "danger*".$message;
    }else{
        //check that the id number is unique
      $check = "SELECT * FROM `users`  where emailAddress = '$email' or userName = '$userName'";
      $checkRes = mysqli_query($conn, $check);
      if (mysqli_num_rows($checkRes)>0) {
       $_SESSION["feedback"] = "danger*A user with the given email address or username already exists";
      }else{
        $encryptedPass = hash("sha256", $password);
        $user = $_SESSION["userId"];
        $sql = "INSERT INTO `users`(`name`, `userName`, `phone`, `emailAddress`, `password`, `changedPassword`, `status`,`userType`, `lastSeen`, `addedOn`, `addedBy`,`organizationCode`) VALUES (?,?,?,?,?,?,?,?,?,NOW(),?,?)";
        $values = array($name,$userName,$phoneNo, $email, $encryptedPass, 0, 'Active',$userType,0,  $user,$_SESSION["organizationCode"]);
		    $userId = pdoInsertLastId($sql, $values);
		
        if ($userId>0) {
          
        $check = "SELECT organizationCode, userType FROM users WHERE id = $userId";
        $res = mysqli_query($conn,$check);        
		    $_SESSION["feedback"] = "success*The user was successfully added";
		    captureChangeLog($_SESSION["userId"], "Created user $name", "Create", "", "User Id: $userId Name: $name User Name: $userName Phone Number: $phoneNo Email Address: $email  Status: Active User Type: $userType");
          
        }else{
          $_SESSION["feedback"] = "danger*The user could not be added. Please try again";
        }
      }
    }

}
if (isset($_POST["editUser"])) {
   //editUser       
  $userId = trim($_POST["editUserId"]);
  $name = trim($_POST["editName"]);
  $userName = trim($_POST["editUserName"]);
  $phoneNo = trim($_POST["editUserPhoneNo"]);
  $email = trim($_POST["editUserEmail"]);
  $password = trim($_POST["editUserPassword"]);
  $userType = trim($_POST["editUserType"]);
  
  $error = false;
  $message = "";
  if (strlen($name)<4) {
    $error = true;
    $message = "The user's name must be at least 4 characters";
  }
  if (strlen($userName)<4) {
    $error = true;
    $message .= strlen($message)>0?"<br/>":"";
    $message .= "The username must be at least 4 characters";
  }
  $phoneLength = strlen($phoneNo);
  $formattedPhone = str_replace("+", "", $phoneNo);
  if (!is_numeric($formattedPhone)) {
    $error = true;
    $message .= strlen($message)>0?"<br/>":"";
    $message .= "Please provide a valid value for phone No";
  }else{
      if (!($phoneLength==10||$phoneLength==13)) {
        $error = true;
        $message .= strlen($message)>0?"<br/>":"";
        $message .= "Please provide a valid value for phone No";
      }
  }
  if (strlen($email)<4) {
     $error = true;
      $message .= strlen($message)>0?"<br/>":"";
      $message .= "Email must have atleast 4 characters";
  }
  if (strlen($password)<4&&strlen($password)>0) {
       $error = true;
        $message .= strlen($message)>0?"<br/>":"";
        $message .= "Password must have atleast 4 characters";
    }

    if ($error) {
      $_SESSION["feedback"] = "danger*".$message;
    }else{
        //check that the id number is unique
      $check = "SELECT * FROM `users`  where emailAddress = '$email' or userName = '$userName'";
      $checkRes = mysqli_query($conn, $check);
      if (mysqli_num_rows($checkRes)<0) {
       $_SESSION["feedback"] = "danger*A user with the given email address or username does not exists";
      }else{
        $encryptedPass = hash("sha256", $password);
        $user = $_SESSION["userId"];
        $sql = "update `users` set `name`=?, `phone` =?,`password`=?,`userType`=? where `userName`=? and `emailAddress`=? and `organizationCode`=? and id=?";
        $values = array($name,$phoneNo,$encryptedPass,$userType,$userName,$email,$_SESSION["organizationCode"],$userId);
        if(strlen($password)==0){
          $sql = "update `users` set `name`=?, `phone` =?,`userType`=? where `userName`=? and `emailAddress`=? and `organizationCode`=? and id=?";
          $values = array($name,$phoneNo,$userType,$userName,$email,$_SESSION["organizationCode"],$userId);
        }
	   if (pdoExecute($sql, $values)) {
			captureChangeLog($_SESSION["userId"], "Updated user $name", "Update", "", "User Id: $userId Name: $name User Name: $userName Phone Number: $phoneNo Email Address: $email  Status: Active User Type: $userType");
          $_SESSION["feedback"] = "success*The user was successfully updated";
        }else{
          $_SESSION["feedback"] = "danger*The user could not be updated. Please try again";
        }
      }
    }

}
if(isset($_POST["deactivateRecord"])){
	$deactivateRecordId = trim($_POST["deactivateRecordId"]);
	$sql = "update users set status = ?,deactivatedOn=NOW(), deactivatedBy = ? where id = ?";
	$values = array("Inactive",$_SESSION["userId"], $deactivateRecordId);
  if (pdoExecute($sql, $values)) {
	  captureChangeLog($_SESSION["userId"], "Deactivated user id $deactivateRecordId", "Deactivate", "", "");
      $_SESSION['feedback']= "success*The user was successfully deactivated";
    } else {
        $_SESSION['feedback']= "danger*The use could not be deactivated";
    } 
}
if(isset($_POST["activateRecord"])){
	$activateRecordId = trim($_POST["activateRecordId"]);
	$sql = "update users set status = ? where id = ?";
	$values = array("Active", $activateRecordId);
  if (pdoExecute($sql, $values)) {
	  captureChangeLog($_SESSION["userId"], "Activated user id $activateRecordId", "Activate", "", "");
      $_SESSION['feedback']= "success*The user was successfully Activated";
    } else {
        $_SESSION['feedback']= "danger*The user could not be Activated";
    }
}

?>
<!DOCTYPE html>
<html>
<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <title><?php echo $_SESSION["organisationName"];?></title>
  <!-- Tell the browser to be responsive to screen width -->
  <?php include("header.php");
  ?>
  </head>
<body class="hold-transition skin-blue sidebar-mini">
<div class="wrapper">
<?php include("topbar.php");
?>
 <!-- Left side column. contains the logo and sidebar -->
 <?php
  $activePage = 23;
 include("sidebar.php");
 ?>
 <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <h1>
        Users
      </h1>
      <ol class="breadcrumb">
        <li><a href="dashboard"><i class="fa fa-dashboard"></i> Home</a></li>
        <li class="active">Users</li>
      </ol>
    </section>
  <section class="content">

      <!-- Default box -->
      <div class="box">
        <div class="box-header with-border">
          <h3 class="box-title">All Users</h3>

          <div class="box-tools pull-right">
            <button type="button" class="btn btn-box-tool" data-widget="collapse" data-toggle="tooltip"
                    title="Collapse">
              <i class="fa fa-minus"></i></button>
           <!-- <button type="button" class="btn btn-box-tool" data-widget="remove" data-toggle="tooltip" title="Remove"><i class="fa fa-times"></i></button>-->
          </div>
        </div>
        <div class="box-body">
          <?php
            if (isset($_SESSION["feedback"])) {
              $info = explode("*", $_SESSION["feedback"]);

              echo "<div class ='alert alert-".$info[0]."'>".$info[1]." <a href='#'' class='close' data-dismiss='alert' aria-label='close'>&times;</a></div>";

              unset($_SESSION["feedback"]);
            }
          ?>
          <button class="btn btn-success pull-right" data-toggle="modal" data-target="#createUser">Create User</button>
          <div class="clearfix"></div>
          <br/>
          <table class='table table-bordered table-striped' id="allusers">
			<thead>
				<tr>
      <th>Name</th>    
       <th>UserName</th>  
        <th>Phone No.</th> 
         <th>Email</th>  
          <th>Status</th>  
           <th>User Type</th>  
           <th>Last Login</th>  
           <th>Edit</th>  
           <th>Deactivate/Activate</th>  
        </tr>
			</thead>
			<tbody>
     <?php
        $sql = "select A.*,B.description userPriviledge from users A left join usertypes B on A.userType = B.id where A.organizationCode = '".$_SESSION["organizationCode"]."'";
        $usersRes = mysqli_query($conn, $sql);
        while ($user = mysqli_fetch_assoc($usersRes)) {
         ?>
        <tr>
          <td><?php echo $user["name"]; ?></td>
           <td><?php echo $user["userName"]; ?></td>
            <td><?php echo $user["phone"]; ?></td>
             <td><?php echo $user["emailAddress"]; ?></td>
              <td><?php echo $user["status"]; ?></td> 
              <td><?php echo $user["userPriviledge"]; ?></td>
               <td><?php echo $user["lastSeen"]; ?></td>
               <td><label class="btn btn-success" onClick="editUser('<?php echo $user["id"]; ?>', '<?php echo $user["name"]; ?>', '<?php echo $user["userName"]; ?>', '<?php echo $user["phone"]; ?>','<?php echo $user["emailAddress"]; ?>','<?php echo $user["userType"]; ?>')"><i class="fa fa-edit"></i> Edit</label></td>
			   <?php
				 if($user["status"]=="Active"){
					 ?>
					  <td><label class="btn btn-danger" onClick="deactivateRecord('Are you sure you want to deactivate the user <strong><?php echo $user["name"]; ?></strong>?','<?php echo $user["id"]; ?>')"><i class="fa fa-ban"></i> Deactivate</label></td>
					 <?php
				 }else{
					 ?>
					  <td><label class="btn btn-success" onClick="activateRecord('Are you sure you want to activate the user <strong><?php echo $user["name"]; ?></strong>?','<?php echo $user["id"]; ?>')"><i class="fa fa-ban"></i> Activate</label></td>
					 <?php
				 }
				 ?>
        </tr>  
         <?php
        }
     ?>
     
      </tbody>
		  </table>
        </div>
        <!-- /.box-body -->
        <div class="box-footer">
          
        </div>
        <!-- /.box-footer-->
      </div>
      <!-- /.box -->

    </section>
    
  </div>
  <!-- /.content-wrapper -->



</div>
<!-- ./wrapper -->

<?php
include("footer.php");
?>
<div id="createUser" class="modal fade" role="dialog">
  <form method="POST" action=""> 
  <div class="modal-dialog">

    <!-- Modal content-->
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal">&times;</button>
        <h4 class="modal-title">Create User</h4>
      </div>
      <div class="modal-body">
        <div class="form-group">
            <strong>Name:</strong>
            <input type="text" name="name" class="form-control" placeholder="Name" required>
        </div>
        <div class="form-group">
            <strong>User Name:</strong>
            <input type="text" name="userName" class="form-control" placeholder="User Name" required>
        </div>
      <div class="form-group">
            <strong>Phone:</strong>
            <input type="text" name="userPhoneNo" class="form-control" placeholder="Phone Number" required>
        </div>
      <div class="form-group">
            <strong>Email Address:</strong>
            <input type="email" name="userEmail" class="form-control" placeholder="Email Address" required>
        </div>
        <div class="form-group">
            <strong>User Type:</strong>
           <select name="userType" class="form-control select2" style="display:block; width:100%;">
			<?php
			$sql = "select * from usertypes where organizationCode='".$_SESSION["organizationCode"]."'";
			$res = mysqli_query($conn, $sql);
			while($result = mysqli_fetch_assoc($res)){
        echo "<option value='".$result["id"]."'>".$result["description"]."</option>";
			}
			
			?>
			</select> 
        </div>
         <div class="form-group">
            <strong>User's Password:</strong>
            <input type="password" name="userPassword" class="form-control" placeholder="User Password" required>
        </div>

      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-default" data-dismiss="modal">Cancel</button>
        <input type="submit" name="addUser" class="btn btn-success" value="Add User">
      </div>
    </div>
    </div>
</form>
</div>
<div id="editUser" class="modal fade" role="dialog">
  <form method="POST" action=""> 
  <div class="modal-dialog">

    <!-- Modal content-->
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal">&times;</button>
        <h4 class="modal-title">Edit User</h4>
      </div>
      <div class="modal-body">
        <div class="form-group">
            <strong>Name:</strong>
            <input type="hidden" name="editUserId" id="editUserId">
            <input type="text" name="editName" id="editName" class="form-control" placeholder="Name" required>
        </div>
        <div class="form-group">
            <strong>User Name:</strong>
            <input type="text" name="editUserName" id="editUserName" class="form-control" placeholder="User Name" required readonly="true">
        </div>
      <div class="form-group">
            <strong>Phone:</strong>
            <input type="text" name="editUserPhoneNo" id="editUserPhoneNo" class="form-control" placeholder="Phone Number" required>
        </div>
      <div class="form-group">
            <strong>Email Address:</strong>
            <input type="email" name="editUserEmail" id="editUserEmail" class="form-control" placeholder="Email Address" required readonly="true">
        </div>
        <div class="form-group">
            <strong>User Type:</strong>
           <select name="editUserType" id="editUserType" class="form-control select2" style="display:block; width:100%;">
			<?php
			$sql = "select * from usertypes where organizationCode='".$_SESSION["organizationCode"]."'";
			$res = mysqli_query($conn, $sql);
			while($result = mysqli_fetch_assoc($res)){
        echo "<option value='".$result["id"]."'>".$result["description"]."</option>";
			}
			
			?>
			</select> 
        </div>
         <div class="form-group">
            <strong>User's Password:</strong>
            <input type="password" name="editUserPassword" id="editUserPassword" class="form-control" placeholder="User Password">
        </div>

      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-default" data-dismiss="modal">Cancel</button>
        <input type="submit" name="editUser" class="btn btn-success" value="Save Changes">
      </div>
    </div>
    </div>
</form>
</div>
<script>
  $(function () {
    //$('#allusers').DataTable();
     })
   </script>
</body>

<div id="deactivateRecord" class="modal fade" role="dialog">
  <form method="POST" action="" enctype='multipart/form-data'> 
  <div class="modal-dialog">

    <!-- Modal content--> 
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal">&times;</button>
        <h4 class="modal-title">Deactivate User</h4>
      </div>
      <div class="modal-body"> 
	  <p id = "deactivationConfirmation"></p> 
		
            <input type="hidden" name="deactivateRecordId" id="deactivateRecordId">
      
		</div> 
      <div class="modal-footer">
        <button type="button" class="btn btn-default" data-dismiss="modal">Cancel</button>
        <input type="submit" name="deactivateRecord" class="btn btn-danger" value="Deactivate User">
      </div>
    </div>
    </div>
</form>
</div>
<div id="activateRecord" class="modal fade" role="dialog">
  <form method="POST" action="" enctype='multipart/form-data'> 
  <div class="modal-dialog">

    <!-- Modal content--> 
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal">&times;</button>
        <h4 class="modal-title">Activate User</h4>
      </div>
      <div class="modal-body"> 
	  <p id = "activationConfirmation"></p>
		
            <input type="hidden" name="activateRecordId" id="activateRecordId">
      
		</div> 
      <div class="modal-footer">
        <button type="button" class="btn btn-default" data-dismiss="modal">Cancel</button>
        <input type="submit" name="activateRecord" class="btn btn-success" value="Activate User">
      </div>
    </div>
    </div>
</form>
</div>
<script>
function editUser(userId, name, userName, phoneNumber,email,userType){

  $('#editUserType').val(userType);
	$('#editUserType').trigger('change');
	document.getElementById("editUserEmail").value = email;
	document.getElementById("editUserPhoneNo").value = phoneNumber;
	document.getElementById("editUserName").value = userName;
	document.getElementById("editName").value = name;
	document.getElementById("editUserId").value = userId;
	//document.getElementById("deactivationConfirmation").innerHTML = deactivationText;*/
	$("#editUser").modal(); 
}
function deactivateRecord(deactivationText, recordId){
	document.getElementById("deactivateRecordId").value = recordId;
	document.getElementById("deactivationConfirmation").innerHTML = deactivationText;
	$("#deactivateRecord").modal(); 
}
function activateRecord(activationText, recordId){
	document.getElementById("activateRecordId").value = recordId;
	document.getElementById("activationConfirmation").innerHTML = activationText;
	$("#activateRecord").modal(); 
}
</script>
